summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/reproducible_create_meta_pkg_sets.sh8
-rw-r--r--logparse/reproducible.rules1
2 files changed, 7 insertions, 2 deletions
diff --git a/bin/reproducible_create_meta_pkg_sets.sh b/bin/reproducible_create_meta_pkg_sets.sh
index 233c509b..5cc66e8b 100755
--- a/bin/reproducible_create_meta_pkg_sets.sh
+++ b/bin/reproducible_create_meta_pkg_sets.sh
@@ -193,8 +193,12 @@ fi
# grml
if [ ! -z $(find $TPATH -maxdepth 1 -mtime +0 -name ${META_PKGSET[11]}.pkgset) ] || [ ! -f $TPATH/${META_PKGSET[11]}.pkgset ] ; then
curl http://grml.org/files/grml64-full_latest/dpkg.selections | cut -f1 > $TMPFILE
- convert_into_source_packages_only
- update_if_similar ${META_PKGSET[11]}.pkgset
+ if ! grep '<title>404 Not Found</title>' $TMPFILE ; then
+ convert_into_source_packages_only
+ update_if_similar ${META_PKGSET[11]}.pkgset
+ else
+ echo "Warning: could not download grml's latest dpkg.selections file, skipping pkg set..."
+ fi
fi
# all build depends of grml
diff --git a/logparse/reproducible.rules b/logparse/reproducible.rules
index 047be037..ec70a893 100644
--- a/logparse/reproducible.rules
+++ b/logparse/reproducible.rules
@@ -9,4 +9,5 @@ warning /Warning: lock .+ still exists, exiting./
warning /Warning: processes found which should not be there/
warning /Warning: packages found where the build was started more than 24h ago:/
warning /Warning: .+ could not be fully removed./
+warning /Warning: could not download.+/